Visual LISP, AutoLISP and General Customization

Visual LISP, AutoLISP and General Customization

Reply
*matt
Message 1 of 3 (66 Views)

A method to insert a circle

66 Views, 2 Replies
06-27-2001 08:43 PM
Using the following routine I would like
to be able to insert the smaller circle (that
needs to be arrayed around the larger circle)
on one of the qudrants of the larger circle.
At the moment the routine dosen't seem 'slick' enough
with the second use of a getpoint.I have attempted
to 'auto' insert the circle without any decent result.

Can anybody give me some ideas?


Thanks

Matt



;**************** DRILL4.LSP **********
;A routine to draw a circular pattern of holes
;of user defined type.Uses a data file for
;storing user defined variables.

(Defun C:smileyvery-happy:RILL4 ()
(Graphscr)
(Setvar "OSMODE" 16) ;temporary while trying to auto insert C2
(Initget 1 "A B C D")
(Setq T1 (Getkword "Please enter hole pattern type: "))
(Setq P1 (Getpoint "\nPick insertion point: "))
(Setq FD (Open "D:/Autolisp/DRILL.DAT" "r" )) ...




































*Smith, Thomas
Message 2 of 3 (66 Views)

Re: A method to insert a circle

06-27-2001 09:44 PM in reply to: *matt
is the second GetPoint always at a specific point on the circle?
(ie always on the top quadrant)

if so, you can use (polar P1 (/ pi 2) (/ D1 2))
for the top quadrant...
(remember Polar uses radiant angles... hence the (/ pi 2) for 90 degrees)

I hope this helps...

Thomas Smith

"matt" wrote in message
news:22C8F3BB20B0D6CFDA3C6D1EB891C6BB@in.WebX.maYIadrTaRb...
> Using the following routine I would like
> to be able to insert the smaller circle (that
> needs to be arrayed around the larger circle)
> on one of the qudrants of the larger circle.
> At the moment the routine dosen't seem 'slick' enough
> with the second use of a getpoint.I have attempted
> to 'auto' insert the circle without any decent result.
>
> Can anybody give me some ideas?
>
>
> Thanks
>
> Matt
>
>
>
> ;**************** DRILL4.LSP **********
> ;A routine to draw a circular pattern of holes
> ;of user defined type.Uses a data file for
> ;storing user defined variables.
>
> (Defun C:smileyvery-happy:RILL4 ()
> (Graphscr)
> (Setvar "OSMODE" 16) ;temporary while trying to auto insert C2
> (Initget 1 "A B C D")
> (Setq T1 (Getkword "Please enter hole pattern type: "))
> (Setq P1 (Getpoint "\nPick insertion point: "))
> (Setq FD (Open "D:/Autolisp/DRILL.DAT" "r" ...








































*matt
Message 3 of 3 (66 Views)

Re:

06-28-2001 06:04 AM in reply to: *matt
Thanks Thomas, a great help.

The second circle really needs to be at
the right hand middle quadrant (as looking
at the screen)
I will have a go now I've been pointed in the
right direction.

This is one really active group, around 30 new posts since I
posted.! and lots of replies.

Thanks again,
matt




"Thomas Smith" wrote in message
news:EEFD7D7D7A37498069F0F0D42169AD83@in.WebX.maYIadrTaRb...
> is the second GetPoint always at a specific point on the circle?
> (ie always on the top quadrant)
>
> if so, you can use (polar P1 (/ pi 2) (/ D1 2))
> for the top quadrant...
> (remember Polar uses radiant angles... hence the (/ pi 2) for 90 degrees)
>
> I hope this helps...
>
> Thomas Smith
>
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.